<?php
session_start();
include('conexion.php'); ?>
<!doctype html>
<html lang="en" onclick="cerrar();cerrar2()">

<head>
    <?php
    include('./include/sesiones.php');
    include('include/head.php');
    ?>
    <div id="div_buscador"></div>
    <?php
    include('php_menu/menu_categorias.php');
    include('php_menu/menu_izquierdo.php');

    $palabra = $_GET['buscando'];
    ?>
</head>

<body>
    <br>
    <section class="home_product_area mb-50">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="section_title" id="articulos">
                        <h2><span>articulos</span></h2>
                    </div>
                    <div class="shop_area shop_sidebar  mb-50">
                        <div class="row">
                            <div class="col-lg-9 col-md-12">
                                <div class="shop_toolbar_wrapper">
                                    <div class="shop_toolbar_btn">
                                        <button data-role="grid_3" type="button" class="active btn-grid-3" data-bs-toggle="tooltip" title="3"></button>
                                        <button data-role="grid_4" type="button" class=" btn-grid-4" data-bs-toggle="tooltip" title="4"></button>
                                        <button data-role="grid_list" type="button" class="btn-list" data-bs-toggle="tooltip" title="List"></button>
                                    </div>
                                </div>
                                <div class="container">
                                    <div id="resultados"></div>
                                    <div class='outer_div'></div>
                                </div>
                            </div>
                            <div class="col-lg-3 col-md-12">
                                <div class="widget_list widget_filter">
                                    <aside class="sidebar_widget">
                                        <div class="widget_list widget_categories">
                                            <h2>marcas</h2>
                                            <ul>
                                                <?php
                                                $mar1 = mysqli_query($con, "SELECT * from marca where empresa='$emp_id'") or die(mysqli_error($con));
                                                while ($mar = mysqli_fetch_array($mar1)) {
                                                    $mar_id = $mar['mar_id'];
                                                ?>
                                                    <div class="list-group-item ">
                                                        <input type="checkbox" class="common_selector mar_id checkbox" value="<?php echo $mar['mar_id']; ?>">
                                                        <label><?php echo $mar['mar_nombre']; ?></label>
                                                    </div>
                                                <?php }  ?>
                                            </ul>
                                        </div>
                                    </aside>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <input type="hidden" id="palabra" value="<?php echo $palabra; ?> ">
    <?php include('include/footer.php') ?>
    <script src="assets/js/plugins.js"></script>
    <script src="assets/js/main.js"></script>

</body>

<script type="text/javascript">
    function buscador() {
        $.get("./php_menu/buscador.php", "", function(data) {
            $("#div_buscador").html(data);
        })
    }
    buscador();


    $(document).ready(function() {
        load(1);
    });

    function load(page) {
        $('.outer_div').html('');
        var mar_id = get_filter('mar_id');
        var palabra = $("#palabra").val();
        $.ajax({
            url: "./php_tienda/tabla_resultados_buscador.php",
            method: "GET",
            data: {
                mar_id: mar_id,
                page: page,
                palabra: palabra
            },
            success: function(data) {
                $('.outer_div').html(data);
                buscador();
            }
        });
    }

    function get_filter(class_name) {
        var filter = [];
        $('.' + class_name + ':checked').each(function() {
            filter.push($(this).val());
        });
        return filter;
    }
    $('.common_selector').click(function() {
        load(1);
    });


    function envia_deseos(art_id) {
        var parametros = {
            "art_id": art_id
        };
        $.ajax({
            data: parametros,
            url: './php_tienda/registrar_deseos.php',
            type: 'POST',
            beforeSend: function() {
                $('#resultados').html('');
            },
            success: function(datos) {
                $("#resultados").html(datos);
                cambiar1();
                cambiar12();
                buscador();
                load();
            }
        });
    }


    function eliminar_deseo(art_id) {
        var parametros = {
            "art_id": art_id
        };
        $.ajax({
            data: parametros,
            url: './php_tienda/eliminar_deseo.php',
            type: 'POST',
            beforeSend: function() {
                $('#resultados').html('');
            },
            success: function(datos) {
                $("#resultados").html(datos);
                cambiar2();
                cambiar22();
                buscador();
                load();
            }
        });
    }



    function envia_carrito(art_id, cantidad) {
        var parametros = {
            "art_id": art_id,
            "cantidad": cantidad
        };
        $.ajax({
            data: parametros,
            url: './php_tienda/sessiones_cart.php',
            type: 'POST',
            beforeSend: function() {
                $('#resultados').html('');
            },
            success: function(datos) {
                $("#resultados").html(datos);
                buscador();
                load();
            }
        });
    }
</script>

</html>